Ruby script/cucumber -tags producing a gem error

When I do “ruby script/cucumber” the tests run no issues. When I do
the same thing but -tags tag_name I get a gem version error:

Where is it coming from and why??

Using the default profile…
RubyGem version error: rack(1.0.1 not = 1.1.0)
(Gem::LoadError)
F:/BACKUP/Backup/ruby/lib/ruby/site_ruby/1.8/rubygems.rb:827:in
report_activate_error' F:/BACKUP/Backup/ruby/lib/ruby/site_ruby/1.8/rubygems.rb:261:inactivate’
F:/BACKUP/Backup/ruby/lib/ruby/site_ruby/1.8/rubygems.rb:296:in
activate' F:/BACKUP/Backup/ruby/lib/ruby/site_ruby/1.8/rubygems.rb:295:ineach’
F:/BACKUP/Backup/ruby/lib/ruby/site_ruby/1.8/rubygems.rb:295:in
activate' F:/BACKUP/Backup/ruby/lib/ruby/site_ruby/1.8/rubygems.rb:296:inactivate’
F:/BACKUP/Backup/ruby/lib/ruby/site_ruby/1.8/rubygems.rb:295:in each' F:/BACKUP/Backup/ruby/lib/ruby/site_ruby/1.8/rubygems.rb:295:inactivate’
F:/BACKUP/Backup/ruby/lib/ruby/site_ruby/1.8/rubygems.rb:68:in gem' ./vendor/gems/cucumber-0.5.1/examples/ramaze/features/support/env.rb:4 F:/BACKUP/Backup/ruby/lib/ruby/site_ruby/1.8/rubygems/ custom_require.rb:31:ingem_original_require’
F:/BACKUP/Backup/ruby/lib/ruby/site_ruby/1.8/rubygems/
custom_require.rb:31:in polyglot_original_require' F:/BACKUP/Backup/ruby/lib/ruby/gems/1.8/gems/polyglot-0.3.0/lib/ polyglot.rb:65:inrequire’
F:/BACKUP/Backup/Web_apps_svn_working/writersonly/HEAD/vendor/rails/
activesupport/lib/active_support/dependencies.rb:158:in require' F:/BACKUP/Backup/Web_apps_svn_working/writersonly/HEAD/vendor/gems/ cucumber-0.5.1/bin/../lib/cucumber/rb_support/rb_language.rb:124:inload_code_file’
F:/BACKUP/Backup/Web_apps_svn_working/writersonly/HEAD/vendor/gems/
cucumber-0.5.1/bin/…/lib/cucumber/step_mother.rb:84:in
load_code_file' F:/BACKUP/Backup/Web_apps_svn_working/writersonly/HEAD/vendor/gems/ cucumber-0.5.1/bin/../lib/cucumber/step_mother.rb:76:inload_code_files’
F:/BACKUP/Backup/Web_apps_svn_working/writersonly/HEAD/vendor/gems/
cucumber-0.5.1/bin/…/lib/cucumber/step_mother.rb:75:in each' F:/BACKUP/Backup/Web_apps_svn_working/writersonly/HEAD/vendor/gems/ cucumber-0.5.1/bin/../lib/cucumber/step_mother.rb:75:inload_code_files’
F:/BACKUP/Backup/Web_apps_svn_working/writersonly/HEAD/vendor/gems/
cucumber-0.5.1/bin/…/lib/cucumber/cli/main.rb:51:in execute!' F:/BACKUP/Backup/Web_apps_svn_working/writersonly/HEAD/vendor/gems/ cucumber-0.5.1/bin/../lib/cucumber/cli/main.rb:23:inexecute’
F:/BACKUP/Backup/Web_apps_svn_working/writersonly/HEAD/vendor/gems/
cucumber-0.5.1/bin/cucumber:8
script/cucumber:5:in `load’
script/cucumber:5

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs